export interface ISearchable<T> {
    
    /**
     *
     */
    search(by: string): Array<T>;

    /**
     *
     */
    toggleSearch(): void;

    /**
     *
     */
    isSearching(): boolean;
}
